Skip to content
IForevents Docs
IForevents Docs
InicioPanelGitHubPrivacidadTérminosSeguridadIntroducción
Referencia de la API
Disable a project (admin only) DELETEMark a project as the organization's active one (admin only) POSTCreate a project (admin only) POSTRename a project (admin only) PATCHIssue a new public ingest key (admin only) POSTIssue a new project secret (admin only) POSTSDK initialization snippet for a platform GETThe free plan's stored-bytes budget and each project's use of it GET
Soporte y SLA
API ReferenceEndpointsProjects

Rename a project (admin only)

PATCH
/v1/projects/{project_uuid}

Authorization

bearerAuth
AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Path Parameters

project_uuid*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "Mobile app (iOS)"  }'
{  "project": {    "created_at": "2026-09-13T12:30:45Z",    "data_residency": "US",    "key": "3142566d8c88721d6d34bd9443d556bf",    "name": "Mobile app (iOS)",    "organization_uuid": "0b7e2b1a-0a1b-4c2d-8e3f-4a5b6c7d8e9f",    "selected": true,    "status_uuid": "9d3f1e2c-5a6b-4c7d-8e9f-0a1b2c3d4e5f",    "updated_at": "2026-09-13T12:30:45Z",    "uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f"  }}

Create a project (admin only) POST

Previous Page

Issue a new public ingest key (admin only) POST

Next Page

name*string